Zum Hauptinhalt springen
POST
/
crm
/
v3
/
exports
/
export
/
async
Start an export
curl --request POST \
  --url https://api.hubapi.com/crm/v3/exports/export/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exportType": "VIEW",
  "format": "XLS",
  "exportName": "<string>",
  "objectProperties": [
    "<string>"
  ],
  "associatedObjectType": [
    "<string>"
  ],
  "includeLabeledAssociations": true,
  "includePrimaryDisplayPropertyForAssociatedObjects": true,
  "objectType": "<string>",
  "language": "EN",
  "exportInternalValuesOptions": [
    "NAMES"
  ],
  "overrideAssociatedObjectsPerDefinitionPerRowLimit": true
}
'
{
  "id": "<string>",
  "links": {}
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
exportType
enum<string>
Standard:VIEW
erforderlich
Verfügbare Optionen:
VIEW
format
enum<string>
erforderlich
Verfügbare Optionen:
XLS,
XLSX,
CSV
exportName
string
erforderlich
objectProperties
string[]
erforderlich
associatedObjectType
string[]
erforderlich
includeLabeledAssociations
boolean
erforderlich
includePrimaryDisplayPropertyForAssociatedObjects
boolean
erforderlich
objectType
string
erforderlich
language
enum<string>
erforderlich
Verfügbare Optionen:
EN,
DE,
ES,
FR,
JA,
NL,
PT_BR,
IT,
PL,
SV,
FI,
ZH_TW,
DA_DK,
NO,
KO_KR,
TH,
ZH_CN
exportInternalValuesOptions
enum<string>[]
erforderlich
Verfügbare Optionen:
NAMES,
VALUES
overrideAssociatedObjectsPerDefinitionPerRowLimit
boolean
erforderlich
publicCrmSearchRequest
object

Antwort

accepted

id
string
erforderlich

The unique ID of the export.

An object containing relevant links related to the export process.

Last modified on April 9, 2026